Savings

Get a list of interest payments for a specific savings plan

Use this method to get a list of interest payments included in a specific savings plan.

GET
/api/v2/my/savings/plans/{plan_id}/payments

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

plan_id*string

The universally unique identifier (UUID) of a savings plan.

Formatuuid
plan_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/savings/plans/string/payments"
{  "data": [    {      "id": "fb10d982-c922-4ecf-9f0f-61527c29d0ac",      "planId": "49825070-d077-419e-bbec-6b9a65381901",      "currencyAlpha": "USD",      "amount": 2.5,      "status": "scheduled",      "dueAt": "2019-08-24T14:15:22Z",      "paidAt": "2019-08-24T14:15:22Z",      "createdAt": "2023-11-17T11:30:01Z",      "updatedAt": "2023-11-17T11:30:01Z"    }  ]}
{  "error": {    "message": "Unauthorized"  }}
Empty
{  "error": {    "message": "Service Unavailable"  }}